public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libsass/
Date: Fri,  9 Sep 2022 07:59:38 +0000 (UTC)	[thread overview]
Message-ID: <1662710338.b70522335c001076efc45b3fa5382e5e579ae7fa.soap@gentoo> (raw)

commit:     b70522335c001076efc45b3fa5382e5e579ae7fa
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  9 07:58:58 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Sep  9 07:58:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7052233

dev-libs/libsass: drop multilib, static-libs

No multilib or static-libs reverse dependencies.

Signed-off-by: Sam James <sam <AT> gentoo.org>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 ...ibsass-3.6.5.ebuild => libsass-3.6.5-r1.ebuild} | 24 +++++++------------
 dev-libs/libsass/libsass-9999.ebuild               | 28 +++++++++-------------
 2 files changed, 20 insertions(+), 32 deletions(-)

diff --git a/dev-libs/libsass/libsass-3.6.5.ebuild b/dev-libs/libsass/libsass-3.6.5-r1.ebuild
similarity index 65%
rename from dev-libs/libsass/libsass-3.6.5.ebuild
rename to dev-libs/libsass/libsass-3.6.5-r1.ebuild
index c1a6d0479eb3..80400548f196 100644
--- a/dev-libs/libsass/libsass-3.6.5.ebuild
+++ b/dev-libs/libsass/libsass-3.6.5-r1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit autotools multilib-minimal
+inherit autotools
 
 if [[ ${PV} = *9999 ]]; then
 	EGIT_REPO_URI="https://github.com/sass/libsass.git"
@@ -17,7 +17,6 @@ DESCRIPTION="A C/C++ implementation of a Sass CSS compiler"
 HOMEPAGE="https://github.com/sass/libsass"
 LICENSE="MIT"
 SLOT="0/1" # libsass soname
-IUSE="static-libs"
 
 DOCS=( Readme.md SECURITY.md )
 
@@ -27,27 +26,22 @@ src_prepare() {
 	if [[ ${PV} != *9999 ]]; then
 		[[ -f VERSION ]] || echo "${PV}" > VERSION
 	fi
-	eautoreconf
 
-	# only sane way to deal with various version-related scripts, env variables etc.
-	multilib_copy_sources
+	eautoreconf
 }
 
-multilib_src_configure() {
+src_configure() {
 	local myeconfargs=(
-		$(use_enable static-libs static)
 		--enable-shared
 	)
 
 	econf "${myeconfargs[@]}"
 }
 
-multilib_src_install() {
-	emake DESTDIR="${D}" install
-	find "${D}" -name '*.la' -delete || die
-}
+src_install() {
+	default
+
+	dodoc -r docs
 
-multilib_src_install_all() {
-	einstalldocs
-	dodoc -r "${S}/docs"
+	find "${ED}" -name '*.la' -delete || die
 }

diff --git a/dev-libs/libsass/libsass-9999.ebuild b/dev-libs/libsass/libsass-9999.ebuild
index 04fbd70077d4..80400548f196 100644
--- a/dev-libs/libsass/libsass-9999.ebuild
+++ b/dev-libs/libsass/libsass-9999.ebuild
@@ -1,23 +1,22 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit autotools multilib-minimal
+inherit autotools
 
 if [[ ${PV} = *9999 ]]; then
 	EGIT_REPO_URI="https://github.com/sass/libsass.git"
 	inherit git-r3
 else
 	SRC_URI="https://github.com/sass/libsass/archive/${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux"
+	KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv x86 ~amd64-linux"
 fi
 
 DESCRIPTION="A C/C++ implementation of a Sass CSS compiler"
 HOMEPAGE="https://github.com/sass/libsass"
 LICENSE="MIT"
 SLOT="0/1" # libsass soname
-IUSE="static-libs"
 
 DOCS=( Readme.md SECURITY.md )
 
@@ -27,27 +26,22 @@ src_prepare() {
 	if [[ ${PV} != *9999 ]]; then
 		[[ -f VERSION ]] || echo "${PV}" > VERSION
 	fi
-	eautoreconf
 
-	# only sane way to deal with various version-related scripts, env variables etc.
-	multilib_copy_sources
+	eautoreconf
 }
 
-multilib_src_configure() {
+src_configure() {
 	local myeconfargs=(
-		$(use_enable static-libs static)
 		--enable-shared
 	)
 
 	econf "${myeconfargs[@]}"
 }
 
-multilib_src_install() {
-	emake DESTDIR="${D}" install
-	find "${D}" -name '*.la' -delete || die
-}
+src_install() {
+	default
+
+	dodoc -r docs
 
-multilib_src_install_all() {
-	einstalldocs
-	dodoc -r "${S}/docs"
+	find "${ED}" -name '*.la' -delete || die
 }


             reply	other threads:[~2022-09-09  7:59 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-09  7:59 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-31 13:11 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libsass/ Nowa Ammerlaan
2024-12-04  9:15 Sam James
2024-12-02 13:15 Jakov Smolić
2024-12-01 19:57 Arthur Zamarin
2024-12-01 19:07 Arthur Zamarin
2024-12-01 19:02 Arthur Zamarin
2024-12-01 19:02 Arthur Zamarin
2023-12-23  9:52 Andrew Ammerlaan
2023-04-07 18:25 Sam James
2022-12-18  9:27 Sam James
2022-12-18  9:27 Sam James
2022-06-28  4:18 WANG Xuerui
2022-06-19  8:14 Agostino Sarubbo
2021-11-01 15:46 Sam James
2021-05-22 15:31 Andrew Ammerlaan
2021-05-22 15:10 Sam James
2021-05-22  3:05 Sam James
2021-05-22  1:32 Sam James
2021-05-21 14:02 Andrew Ammerlaan
2021-05-21  7:57 Michał Górny
2020-05-02 11:55 James Le Cuirot
2020-05-02 11:55 James Le Cuirot
2020-03-06 15:55 Joonas Niilola
2020-01-27 19:53 Mart Raudsepp
2020-01-07  4:08 Joonas Niilola
2019-11-19 15:40 Agostino Sarubbo
2019-11-19  7:38 Agostino Sarubbo
2019-11-19  1:31 Aaron Bauman
2019-08-20  4:44 Hans de Graaff
2019-07-05 19:05 Virgil Dupras
2019-05-28  2:35 Aaron Bauman
2019-05-19 21:41 Virgil Dupras
2019-05-19 21:41 Virgil Dupras
2019-05-18 12:28 Virgil Dupras
2019-03-30  0:12 Virgil Dupras
2019-03-24 10:01 Agostino Sarubbo
2019-03-02 19:56 Sergei Trofimovich
2019-02-19 18:04 Andreas Sturmlechner
2018-10-23 22:43 James Le Cuirot
2018-03-23 20:17 Alexandre Rostovtsev
2018-01-29  3:17 Alexandre Rostovtsev
2017-12-28 15:20 Alexandre Rostovtsev
2017-12-28 15:20 Alexandre Rostovtsev
2017-12-26  2:06 Thomas Deutschmann
2017-11-23 18:43 Alexandre Rostovtsev
2017-11-13 21:36 Alexandre Rostovtsev
2017-11-07  8:41 Alexandre Rostovtsev
2017-11-07  8:37 Alexandre Rostovtsev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1662710338.b70522335c001076efc45b3fa5382e5e579ae7fa.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox